fix: gen-migrations workflow
Some checks failed
gen-migrations / gen-migrations (push) Failing after 7s

This commit is contained in:
Orion Kindel 2023-07-19 23:52:17 -05:00
parent 6b1557ab76
commit c3109217bb
Signed by untrusted user who does not match committer: orion
GPG Key ID: 6D4165AE4C928719
2 changed files with 3 additions and 0 deletions

View File

@ -51,3 +51,5 @@ docker compose up -d "$base_or_head"
isready
initdb || (docker compose logs "$base_or_head" && exit 1)
ls ./schema/ | xargs -I{} bash -c "set -e; $(declare -f query_file); query_file \"$(db dnim)\" ./schema/{}" || (docker compose logs "$base_or_head" && exit 1)
docker compose rm -vsf "$base_or_head"

View File

@ -24,6 +24,7 @@ if [[ -z "$base" ]] || [[ -z "$head" ]]; then
fi
if [[ ! -f "$migration" ]]; then
docker compose down -v
./scripts/build.sh base "$base" 1>&2 || (echo "base failed to build" && exit 1)
./scripts/build.sh head "$head" 1>&2 || (echo "head failed to build" && exit 1)